Bug 64970 - default XftConfig prefers substitute fonts over originals
default XftConfig prefers substitute fonts over originals
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-15 05:31 EDT by Ben Liblit
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-15 05:41:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch to change selected prepends to appends (1.42 KB, patch)
2002-05-15 05:41 EDT, Ben Liblit
no flags Details | Diff

  None (edit)
Description Ben Liblit 2002-05-15 05:31:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.1 (X11; Linux i686; U;) Gecko/20020417

Description of problem:
The default Xft configuration file, "/etc/X11/XftConfig", tends to
preferentially use substitute fonts even when a proper match is available.  For
example, it contains lines like this:

   match any family == "Verdana"  edit family += "Luxi Sans";

Now, Verdana is a fairly high quality font that many of us have on our systems
by way of Microsoft Windows.  The edit above uses "+=", though, which *prepends*
"Luxi Sans" to the family list.  Thus, even if Verdana is available, the lower
quality Luxi Sans will be used instead.

These "+=" lines should be changed to "=+", so that the substitute family is
appended rather than prepended.  That way, the substitute will only be used if
the original request cannot be found.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Verdana on a Linux box.  You can find this on a friendly neighborhood
Windows machine.

2. Select Verdana for use in some Xft-enabled application.

Actual Results:  Luxi Sans is used where Verdana was requested.

Expected Results:  Given that Verdana was installed on the system, and Verdana
was requested, Verdana should have been used.

Additional info:

The tricky part of reproducing the bug is finding a convenient Xft-enabled
application.  If you have a decent GNOME2 installation sitting around, the
"gnome-font-properties" capplet is a good one.  Click on one of the font
buttons, and select "Verdana" in the font picker dialog.  The font button shows
"Luxi Sans".
Comment 1 Ben Liblit 2002-05-15 05:41:52 EDT
Created attachment 57385 [details]
proposed patch to change selected prepends to appends
Comment 2 Mike A. Harris 2002-05-17 21:52:18 EDT
Sounds sensible.  I've made this change in 4.2.0-9.12.  It will appear
in future erratum and rawhide at some point in the future.

Thanks.
Comment 3 Mark J. Cox (Product Security) 2003-06-25 11:52:26 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-066.html

Note You need to log in before you can comment on or make changes to this bug.